Ubuntu 12.04 创建和运行PPSSPP

  1. 是(cmake)用C++创建
  2. 是(qmake)用QT创建

进来想帮一台旧电脑安装ppsspp全部弄好后才发现不能运行,所以我在这里先说明(openGL没到2.0的就不需要费时间去制作了),查看openGL:

 

首先是获得git下载,在终端机输入:

再来是git下载和CD到位子,在终端机输入:

这之后一定要升级,在终端机输入:

到了这里如果是用C++来创建ppsspp的话,就要有C语言环境:

用C语言创建ppsspp后的ppsspp就叫(ppssppsdl),在终端机输入开始创建:

抱歉少写了这样东西!(非常抱歉)
现在变成需要SDL2了

用C语言创建ppsspp后,会在ppsspp文件夹内多了个叫build的文件夹,打开ppssppsdl可以直接运行!lubuntu的话要用终端:

关于PPSSPPSDL版全屏幕的方法!
在ppsspp开发团体看到了,开发者给出了ppssppsdl全屏幕的方法!
要用终端机开ppssppsdl。
cd到ppssppsdl的位子输入(./PPSSPPSDL –fullscreen)即可!

用QT语言创建ppsspp的话,就要有QT语言环境:

在网络上找到的方法 :

这是不正确的!经过测试要创建ppssppQT的话需要用Qtcreator运行PPSSPPQt.pro才可以

Workspace 1_004

注意:现在已经不需要调试版了,直接创建发布版吧!

还有我也装过Qt5,若有需要可以:

QT创建的ppssppqt,游戏需要放到他的文件夹内才可运行!目前QT的ppsspp还不够好,声音会卡!cmake的不会! *补充* 如果cmake版本未到2.8.8是不能创建ppssppsdl的,那就要手动升级cmake了: 下载:LINK 解压缩——终端机cd到已解压的文件夹:

Qtcreator 2.4.1版本也是不能创建ppssppqt的,需要2.5.2版本!先装qt5再用ubuntu软件中心降回2.5.2版本吧!(Qtcreator 2.7版本也是不能) 这里再添加一点!!! 在ubuntu内要创建QTppsspp多数会遇到–创建到一半时出现“QaudioOutput:没有那个文件或目录编译中断。”的问题! 这问题只需安装 qtmobility examples,qtmobility-l10n,qtmobility-dbg,qtmobility-dev

这是我创建好的 QT的在(PPSSPPQt-build-desktop-Qt_4_8_1_in_PATH__System__Debug)内,cmake的在(build)内: v0.76-452版本 , v0.76-464版本 , v0.76-483版本 , v0.76-876版本

发表评论

电子邮件地址不会被公开。 必填项已用*标注
教你如何拥有自己的Gravatar头像